#!/usr/bin/env python3
import MySQLdb
import sys

db_pass = sys.argv[1]

db = MySQLdb.connect(user="aheamizw_main", passwd=db_pass, db="aheamizw_main")
c = db.cursor()

files_updated = 0
shots_lost = 0

def keep_ssid(x):
    try:
        x = int(x)
    except ValueError:
        # Some screenshots refer to other paths and are just strings.
        return True
    return x > 44

c.execute("""
    SELECT fileId, screenArray
    FROM archives_files
""")
for row in c.fetchall():
    screenshots = tuple(row[1].split("|"))
    new_screenshots = tuple(x for x in screenshots if keep_ssid(x))
    if screenshots != new_screenshots:
        files_updated += 1
        shots_lost += len(screenshots) - len(new_screenshots)
        print(("UPDATE archives_files SET screenArray=\"{}\""
               " WHERE fileId={};").format("|".join(new_screenshots), row[0]))

print(files_updated, "files to update", file=sys.stderr)
print(shots_lost, "screenshots lost", file=sys.stderr)
